지정된 주석 대기열에 대한 레이블 스키마를 생성하거나 교체합니다.
레이블 스키마는 주석 작성자가 대기열의 상호작용에 적용할 수 있는 레이블을 정의합니다.
레이블 이름은 대기열 내에서 고유해야 하며 ^[a-zA-Z0-9_-]+$ 패턴과 일치해야 합니다.
각 레이블은 점수, 범주형, 불리언 또는 텍스트와 같은 유효한 유형이어야 합니다.
인수
경로 파라미터
이름
유형
설명
queue_id [required]
string
The ID of the Agent Observability annotation queue.
Data object for updating an annotation queue label schema.
attributes [required]
object
Attributes for updating an annotation queue label schema.
annotation_schema [required]
object
Schema defining the labels for an annotation queue.
label_schemas [required]
[object]
List of label schema definitions.
description
string
Description of the label.
has_assessment
boolean
Whether this label includes an assessment field.
has_reasoning
boolean
Whether this label includes a reasoning field.
id
string
Unique identifier of the label schema. Assigned by the server if not provided.
is_assessment
boolean
Whether the boolean label represents an assessment. Requires has_assessment to be true.
is_integer
boolean
Whether score values must be integers. Applicable to score-type labels.
is_required
boolean
Whether this label is required for an annotation.
max
double
Maximum value for score-type labels.
min
double
Minimum value for score-type labels.
name [required]
string
Name of the label. Must match the pattern ^[a-zA-Z0-9_-]+$ and be unique within the queue.
type [required]
enum
Type of a label in an annotation queue label schema.
Allowed enum values: score,categorical,boolean,text
values
[string]
Allowed values for categorical-type labels. Must contain at least one non-empty, unique value.
type [required]
enum
Resource type of an Agent Observability annotation queue.
Allowed enum values: queues
{"data":{"attributes":{"annotation_schema":{"label_schemas":[{"description":"Rating of the response quality.","has_assessment":false,"has_reasoning":false,"id":"abc-123","is_assessment":false,"is_integer":false,"is_required":true,"max":5,"min":0,"name":"quality","type":"score","values":["good","bad","neutral"]}]}},"type":"queues"}}
Response containing the label schema of an annotation queue.
Expand All
항목
유형
설명
data [required]
object
Data object for an annotation queue label schema.
attributes [required]
object
Attributes of an annotation queue label schema.
annotation_schema [required]
object
Schema defining the labels for an annotation queue.
label_schemas [required]
[object]
List of label schema definitions.
description
string
Description of the label.
has_assessment
boolean
Whether this label includes an assessment field.
has_reasoning
boolean
Whether this label includes a reasoning field.
id
string
Unique identifier of the label schema. Assigned by the server if not provided.
is_assessment
boolean
Whether the boolean label represents an assessment. Requires has_assessment to be true.
is_integer
boolean
Whether score values must be integers. Applicable to score-type labels.
is_required
boolean
Whether this label is required for an annotation.
max
double
Maximum value for score-type labels.
min
double
Minimum value for score-type labels.
name [required]
string
Name of the label. Must match the pattern ^[a-zA-Z0-9_-]+$ and be unique within the queue.
type [required]
enum
Type of a label in an annotation queue label schema.
Allowed enum values: score,categorical,boolean,text
values
[string]
Allowed values for categorical-type labels. Must contain at least one non-empty, unique value.
id [required]
string
Unique identifier of the annotation queue.
type [required]
enum
Resource type of an Agent Observability annotation queue.
Allowed enum values: queues
{"data":{"attributes":{"annotation_schema":{"label_schemas":[{"description":"Rating of the response quality.","has_assessment":false,"has_reasoning":false,"id":"abc-123","is_assessment":false,"is_integer":false,"is_required":true,"max":5,"min":0,"name":"quality","type":"score","values":["good","bad","neutral"]}]}},"id":"00000000-0000-0000-0000-000000000001","type":"queues"}}
## Boolean label schema
#
# Path parameters exportqueue_id="00000000-0000-0000-0000-000000000001" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
# Update annotation queue label schema returns "OK" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.access_token=ENV["DD_BEARER_TOKEN"]config.unstable_operations["v2.update_llm_obs_annotation_queue_label_schema".to_sym]=trueendapi_instance=DatadogAPIClient::V2::AgentObservabilityAPI.newbody=DatadogAPIClient::V2::LLMObsAnnotationQueueLabelSchemaUpdateRequest.new({data:DatadogAPIClient::V2::LLMObsAnnotationQueueLabelSchemaUpdateData.new({attributes:DatadogAPIClient::V2::LLMObsAnnotationQueueLabelSchemaUpdateAttributes.new({annotation_schema:DatadogAPIClient::V2::LLMObsAnnotationSchema.new({label_schemas:[DatadogAPIClient::V2::LLMObsLabelSchema.new({description:"Rating of the response quality.",has_assessment:false,has_reasoning:false,id:"abc-123",is_assessment:false,is_integer:false,is_required:true,max:5.0,min:0.0,name:"quality",type:DatadogAPIClient::V2::LLMObsLabelSchemaType::SCORE,values:["good","bad","neutral",],}),],}),}),type:DatadogAPIClient::V2::LLMObsAnnotationQueueType::QUEUES,}),})papi_instance.update_llm_obs_annotation_queue_label_schema("queue_id",body)
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Update annotation queue label schema returns "OK" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){body:=datadogV2.LLMObsAnnotationQueueLabelSchemaUpdateRequest{Data:datadogV2.LLMObsAnnotationQueueLabelSchemaUpdateData{Attributes:datadogV2.LLMObsAnnotationQueueLabelSchemaUpdateAttributes{AnnotationSchema:datadogV2.LLMObsAnnotationSchema{LabelSchemas:[]datadogV2.LLMObsLabelSchema{{Description:datadog.PtrString("Rating of the response quality."),HasAssessment:datadog.PtrBool(false),HasReasoning:datadog.PtrBool(false),Id:datadog.PtrString("abc-123"),IsAssessment:datadog.PtrBool(false),IsInteger:datadog.PtrBool(false),IsRequired:datadog.PtrBool(true),Max:datadog.PtrFloat64(5.0),Min:datadog.PtrFloat64(0.0),Name:"quality",Type:datadogV2.LLMOBSLABELSCHEMATYPE_SCORE,Values:[]string{"good","bad","neutral",},},},},},Type:datadogV2.LLMOBSANNOTATIONQUEUETYPE_QUEUES,},}ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()configuration.SetUnstableOperationEnabled("v2.UpdateLLMObsAnnotationQueueLabelSchema",true)apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewAgentObservabilityApi(apiClient)resp,r,err:=api.UpdateLLMObsAnnotationQueueLabelSchema(ctx,"queue_id",body)iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `AgentObservabilityApi.UpdateLLMObsAnnotationQueueLabelSchema`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `AgentObservabilityApi.UpdateLLMObsAnnotationQueueLabelSchema`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
// Update annotation queue label schema returns "OK" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.AgentObservabilityApi;importcom.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaResponse;importcom.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaUpdateAttributes;importcom.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaUpdateData;importcom.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaUpdateRequest;importcom.datadog.api.client.v2.model.LLMObsAnnotationQueueType;importcom.datadog.api.client.v2.model.LLMObsAnnotationSchema;importcom.datadog.api.client.v2.model.LLMObsLabelSchema;importcom.datadog.api.client.v2.model.LLMObsLabelSchemaType;importjava.util.Arrays;importjava.util.Collections;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));defaultClient.setUnstableOperationEnabled("v2.updateLLMObsAnnotationQueueLabelSchema",true);AgentObservabilityApiapiInstance=newAgentObservabilityApi(defaultClient);LLMObsAnnotationQueueLabelSchemaUpdateRequestbody=newLLMObsAnnotationQueueLabelSchemaUpdateRequest().data(newLLMObsAnnotationQueueLabelSchemaUpdateData().attributes(newLLMObsAnnotationQueueLabelSchemaUpdateAttributes().annotationSchema(newLLMObsAnnotationSchema().labelSchemas(Collections.singletonList(newLLMObsLabelSchema().description("Rating of the response quality.").hasAssessment(false).hasReasoning(false).id("abc-123").isAssessment(false).isInteger(false).isRequired(true).max(5.0).name("quality").type(LLMObsLabelSchemaType.SCORE).values(Arrays.asList("good","bad","neutral")))))).type(LLMObsAnnotationQueueType.QUEUES));try{LLMObsAnnotationQueueLabelSchemaResponseresult=apiInstance.updateLLMObsAnnotationQueueLabelSchema("00000000-0000-0000-0000-000000000001",body);System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling AgentObservabilityApi#updateLLMObsAnnotationQueueLabelSchema");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
// Update annotation queue label schema returns "OK" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_agent_observability::AgentObservabilityAPI;usedatadog_api_client::datadogV2::model::LLMObsAnnotationQueueLabelSchemaUpdateAttributes;usedatadog_api_client::datadogV2::model::LLMObsAnnotationQueueLabelSchemaUpdateData;usedatadog_api_client::datadogV2::model::LLMObsAnnotationQueueLabelSchemaUpdateRequest;usedatadog_api_client::datadogV2::model::LLMObsAnnotationQueueType;usedatadog_api_client::datadogV2::model::LLMObsAnnotationSchema;usedatadog_api_client::datadogV2::model::LLMObsLabelSchema;usedatadog_api_client::datadogV2::model::LLMObsLabelSchemaType;#[tokio::main]asyncfnmain(){letbody=LLMObsAnnotationQueueLabelSchemaUpdateRequest::new(LLMObsAnnotationQueueLabelSchemaUpdateData::new(LLMObsAnnotationQueueLabelSchemaUpdateAttributes::new(LLMObsAnnotationSchema::new(vec![LLMObsLabelSchema::new("quality".to_string(),LLMObsLabelSchemaType::SCORE).description("Rating of the response quality.".to_string()).has_assessment(false).has_reasoning(false).id("abc-123".to_string()).is_assessment(false).is_integer(false).is_required(true).max(5.0asf64).min(0.0asf64).values(vec!["good".to_string(),"bad".to_string(),"neutral".to_string(),]),],)),LLMObsAnnotationQueueType::QUEUES,),);letmutconfiguration=datadog::Configuration::new();configuration.set_unstable_operation_enabled("v2.UpdateLLMObsAnnotationQueueLabelSchema",true);letapi=AgentObservabilityAPI::with_config(configuration);letresp=api.update_llm_obs_annotation_queue_label_schema("queue_id".to_string(),body).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Update annotation queue label schema returns "OK" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});configuration.unstableOperations["v2.updateLLMObsAnnotationQueueLabelSchema"]=true;constapiInstance=newv2.AgentObservabilityApi(configuration);constparams: v2.AgentObservabilityApiUpdateLLMObsAnnotationQueueLabelSchemaRequest={body:{data:{attributes:{annotationSchema:{labelSchemas:[{description:"Rating of the response quality.",hasAssessment: false,hasReasoning: false,id:"abc-123",isAssessment: false,isInteger: false,isRequired: true,max: 5.0,min: 0.0,name:"quality",type:"score",values:["good","bad","neutral"],},],},},type:"queues",},},queueId:"queue_id",};apiInstance.updateLLMObsAnnotationQueueLabelSchema(params).then((data: v2.LLMObsAnnotationQueueLabelSchemaResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
맞춤형 데모 요청
Datadog 시작하기
Ask AI
AI-generated responses may be inaccurate. Verify important info.